# Class RemedyIUDetail

java.lang.Object
org.eclipse.equinox.p2.operations.RemedyIUDetail

public class RemedyIUDetail extends Object

EXPERIMENTAL. This class or interface has been added as part of a work in progress. There is no guarantee that this API will work or that it will remain the same. Please do not use this API without consulting with the p2 team.

Since:
  2.3
Restriction:

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`STATUS_ADDED`
`static final int`
`STATUS_CHANGED`
`static final int`
`STATUS_NOT_ADDED`
`static final int`
`STATUS_REMOVED`

## Constructor Summary

Constructors
Constructor
Description
`RemedyIUDetail(IInstallableUnit iu)`

## Method Summary

Modifier and Type
Method
Description
`Version`
`getBeingInstalledVersion()`
`Version`
`getInstalledVersion()`
`IInstallableUnit`
`getIu()`
`Version`
`getRequestedVersion()`
`int`
`getStatus()`
`void`
`setBeingInstalledVersion(Version beingInstalledVersion)`
`void`
`setInstalledVersion(Version installedVersion)`
`void`
`setRequestedVersion(Version requestedVersion)`
`void`
`setStatus(int status)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### STATUS_ADDED

public static final int STATUS_ADDED

See Also:
  - Constant Field Values

### STATUS_REMOVED

public static final int STATUS_REMOVED

See Also:
  - Constant Field Values

### STATUS_NOT_ADDED

public static final int STATUS_NOT_ADDED

See Also:
  - Constant Field Values

### STATUS_CHANGED

public static final int STATUS_CHANGED

See Also:
  - Constant Field Values

## Constructor Details

### RemedyIUDetail

public RemedyIUDetail(IInstallableUnit iu)

## Method Details

### setStatus

public void setStatus(int status)

### getStatus

public int getStatus()

### getRequestedVersion

public Version getRequestedVersion()

### setRequestedVersion

public void setRequestedVersion(Version requestedVersion)

### getBeingInstalledVersion

public Version getBeingInstalledVersion()

### setBeingInstalledVersion

public void setBeingInstalledVersion(Version beingInstalledVersion)

### getIu

public IInstallableUnit getIu()

### getInstalledVersion

public Version getInstalledVersion()

### setInstalledVersion

public void setInstalledVersion(Version installedVersion)